<div class="modal-header">
    <h3 class="modal-title" ng-if="!callbackPeriod.uuid">{{'MODAL_CALLBACK_PERIOD_TITLE_ADD' | translate}}</h3>
    <h3 class="modal-title" ng-if="callbackPeriod.uuid">{{'MODAL_CALLBACK_PERIOD_TITLE_EDIT' | translate}}</h3>
</div>
<div class="modal-body">
    <form class="form">
        <label>{{'MODAL_CALLBACK_PERIOD_NAME' | translate}} :</label>
        <input type="text" ng-model="callbackPeriod.name" class="form-control"/>
        <br />
        <label>{{'MODAL_CALLBACK_PERIOD_START' | translate}} :</label>
        <div uib-timepicker ng-model="callbackPeriod._periodStart" hour-step="1" minute-step="5" show-meridian="false"></div>
        <label>{{'MODAL_CALLBACK_PERIOD_END' | translate}} :</label>
        <div uib-timepicker ng-model="callbackPeriod._periodEnd" hour-step="1" minute-step="5" show-meridian="false"></div>
        <label>{{'MODAL_CALLBACK_PERIOD_DEFAULT' | translate}} :</label>
        <input type="checkbox" ng-model="callbackPeriod.default" ng-disabled="wasDefault"/>
    </form>
</div>
<div class="modal-footer">
    <button class="btn btn-primary" ng-click="save()">{{'MODAL_CALLBACK_SAVE' | translate}}</button>
    <button class="btn btn-warning" ng-click="close()">{{'MODAL_CALLBACK_CANCEL' | translate}}</button>
</div>
